NX Open C++ Reference Guide
|
Represents a Flat As Solid feature builder. More...
Public Member Functions | |
NXOpen::Section * | AddedGeometry () |
Returns the added geometry selection Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | InnerCornerTreatment () |
Returns the inner corner treatment corner object Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | OuterCornerTreatment () |
Returns the outer corner treatment corner object Created in NX6.0.0. | |
NXOpen::Point3d | ReferenceVertex () |
Returns the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetReferenceVertex (const NXOpen::Point3d &vertex) |
Sets the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetTransformToAbsoluteCsys (bool transformFlag) |
Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
NXOpen::SelectFace * | StationaryFace () |
Returns the stationary face selection Created in NX6.0.0. | |
bool | TransformToAbsoluteCsys () |
Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
int | ValidateBuilderData () |
Validate the builder data. | |
NXOpen::SelectEdge * | XAxisEdge () |
Returns the x axis edge selection Created in NX6.0.0. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Flat As Solid feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateFlatSolidFeatureBuilder
Default values.
Property | Value |
---|---|
InnerCornerTreatment.TreatmentType |
None |
InnerCornerTreatment.UseGlobal |
1 |
InnerCornerTreatment.Value.Value |
0 (millimeters part), 0 (inches part) |
Created in NX4.0.0.
NXOpen::Section* NXOpen::Features::SheetMetal::FlatSolidBuilder::AddedGeometry | ( | ) |
Returns the added geometry selection
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SheetMetal::CornerTreatmentBuilder* NXOpen::Features::SheetMetal::FlatSolidBuilder::InnerCornerTreatment | ( | ) |
Returns the inner corner treatment corner object
Created in NX6.0.0.
License requirements : None
NXOpen::Features::SheetMetal::CornerTreatmentBuilder* NXOpen::Features::SheetMetal::FlatSolidBuilder::OuterCornerTreatment | ( | ) |
Returns the outer corner treatment corner object
Created in NX6.0.0.
License requirements : None
NXOpen::Point3d NXOpen::Features::SheetMetal::FlatSolidBuilder::ReferenceVertex | ( | ) |
Returns the end of the edge where the tangent will define the x axis for flat as solid.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetReferenceVertex | ( | const NXOpen::Point3d & | vertex | ) |
Sets the end of the edge where the tangent will define the x axis for flat as solid.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
vertex | One of the end points of the reference edge. |
void NXOpen::Features::SheetMetal::FlatSolidBuilder::SetTransformToAbsoluteCsys | ( | bool | transformFlag | ) |
Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
transformFlag | True = Transform to ABS, False = Do not transform to ABS. |
NXOpen::SelectFace* NXOpen::Features::SheetMetal::FlatSolidBuilder::StationaryFace | ( | ) |
Returns the stationary face selection
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::FlatSolidBuilder::TransformToAbsoluteCsys | ( | ) |
Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
int NXOpen::Features::SheetMetal::FlatSolidBuilder::ValidateBuilderData | ( | ) |
Validate the builder data.
NXOpen::SelectEdge* NXOpen::Features::SheetMetal::FlatSolidBuilder::XAxisEdge | ( | ) |
Returns the x axis edge selection
Created in NX6.0.0.
License requirements : None